<?php
ini_set('display_errors', '1');
ini_set('display_startup_errors', '1');
error_reporting(E_ALL);


include 'maping.php';

// sqllite
function db(){
    $db = new SQLite3('mydatas.db');
    
    // Create necessary tables if they don't exist
    $db->exec('CREATE TABLE IF NOT EXISTS data_logs (id INTEGER PRIMARY KEY, time TEXT, json TEXT)');
    
    $createTableSQL = "
        CREATE TABLE IF NOT EXISTS locations (
            locationId INTEGER PRIMARY KEY AUTOINCREMENT,
            locationCode TEXT NOT NULL,
            locationName TEXT NOT NULL
        );
    ";
    $db->exec($createTableSQL);
    
    return $db;
}
// add data to db
function addData($data){ 
    global $db;
    $stmt = $db->prepare('INSERT INTO data_logs (time, json) VALUES (:time, :json)');
    $stmt->bindValue(':time', date('Y-m-d H:i:s'));
    $stmt->bindValue(':json', $data);
    $stmt->execute();
    // $db->close();
}
// function getToken(){
    
//     $curl = curl_init();
    
//     curl_setopt_array($curl, array(
//       CURLOPT_URL => 'https://uatin2fitnessapi.sentinelscope.com/Token',
//       CURLOPT_RETURNTRANSFER => true,
//       CURLOPT_ENCODING => '',
//       CURLOPT_MAXREDIRS => 10,
//       CURLOPT_TIMEOUT => 0,
//       CURLOPT_FOLLOWLOCATION => true,
//       CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
//       CURLOPT_CUSTOMREQUEST => 'POST',
//       CURLOPT_POSTFIELDS => 'grant_type=password&username=testing&password=Test%40123',
//       CURLOPT_HTTPHEADER => array(
//         'Content-Type: application/x-www-form-urlencoded'
//         )
//     ));
    
//     $response = curl_exec($curl);
    
//     curl_close($curl);
//     // if error
//     if($response === false){
//         return false;
//     }
//     $response = json_decode($response, true);
//     return $response['access_token'];
// }
// add lead
// function addLead($arr){
//     xx($arr);
//     $json = json_encode($arr);
//     $curl = curl_init();

//     curl_setopt_array($curl, array(
//     CURLOPT_URL => 'https://uatin2fitnessapi.sentinelscope.com/api/Sentinel/AddLead',
//     CURLOPT_RETURNTRANSFER => true,
//     CURLOPT_ENCODING => '',
//     CURLOPT_MAXREDIRS => 10,
//     CURLOPT_TIMEOUT => 0,
//     CURLOPT_FOLLOWLOCATION => true,
//     CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
//     CURLOPT_CUSTOMREQUEST => 'POST',
//     CURLOPT_POSTFIELDS => $json,
//     CURLOPT_HTTPHEADER => array(
//         'Content-Type: application/json',
//         'Authorization: Bearer '.getToken()
//         ),
//     ));

//     $response = curl_exec($curl);

//     curl_close($curl);
//     if($response === false){
//         return false;
//     }
//     return json_decode($response, true);
// }
function xx($data){
    if(is_array($data)){
        file_put_contents('ss.txt', print_r($data, true)."\n", FILE_APPEND);
        return;
    }
    
        file_put_contents('ss.txt', $data."\n", FILE_APPEND);
}


// start app
global $db;
$db = db();
// if post request
if($_SERVER['REQUEST_METHOD'] == 'POST'){
    $data =  file_get_contents('php://input'); 
    if(empty($data)){
        echo json_encode(['status' => false]);
        return;
    }
    xx($data);
    // add to db for log

    addData($data);
    

    $datas = json_decode($data, true);
     $payload = (transformJsonDataWithLocationId($datas));
     
     xx($payload);
     $res=  addLead($payload);
     
     xx($res);
      if($res === false){
                echo json_encode(['status' => false]);
                return;
                exit;
            } 
            
            xx($res);
        echo json_encode([
            'status' => true,
            'data' => $res
        ]);
        return;
        
} 
// ?view=data
if(isset($_GET['view']) && $_GET['view'] == 'data'){
    header('Content-Type: application/json');
    header('Access-Control-Allow-Origin: *');

    $page = $_GET['page'] ?? 1;
    $limit = $_GET['limit'] ?? 10;
    $offset = ($page - 1) * $limit;
    $res = $db->query('SELECT * FROM data_logs LIMIT '.$limit.' OFFSET '.$offset);
    $data = [];
    while($row = $res->fetchArray(SQLITE3_ASSOC)){
        $row['info'] =  json_decode($row['json'],1);
        unset($row['json']);
        
        $data[] = $row;
    }
    //total
    $res = $db->query('SELECT COUNT(*) as total FROM data_logs');
    $total = $res->fetchArray(SQLITE3_ASSOC); 

    echo json_encode([
        'status' => true, 
    'data' => $data,
    'total' => $total['total'],
    'page' => $page,
    'limit' => $limit,
    'total_page' => ceil($total['total'] / $limit)
    ]);
    return;
}