<?php

$locations = [
    [
        "location_id" => "MMC",
        "location_name" => "Hamra Men – Jeddah",
        "gender" => "Male",
        "arabic_name" => "فرع الحمراء رجال"
    ],
    [
        "location_id" => "LMC",
        "location_name" => "Hamra Ladies – Jeddah",
        "gender" => "Female",
        "arabic_name" => "فرع الحمراء سيدات"
    ],
    [
        "location_id" => "KMJ",
        "location_name" => "Fayha Men – Jeddah",
        "gender" => "Male",
        "arabic_name" => "فر ع الفيحاء رجال"
    ],
    [
        "location_id" => "KFJ",
        "location_name" => "Fayha Ladies – Jeddah",
        "gender" => "Female",
        "arabic_name" => "فر ع الفيحاء سيدات"
    ],
    [
        "location_id" => "NDM",
        "location_name" => "Tilal AlNaseem Men – Makkah",
        "gender" => "Male",
        "arabic_name" => "تلال النسيم"
    ],
    [
        "location_id" => "NDF",
        "location_name" => "Tilal AlNaseem Ladies – Makkah",
        "gender" => "Female",
        "arabic_name" => "تلال النسيم"
    ],
    [
        "location_id" => "MDM",
        "location_name" => "Marwaa Men – Jeddah",
        "gender" => "Male",
        "arabic_name" => "فرع المروة رجال"
    ],
    [
        "location_id" => "MDF",
        "location_name" => "Marwaa Ladies – Jeddah",
        "gender" => "Female",
        "arabic_name" => "فرع المروة سيدات"
    ],
    [
        "location_id" => "SDM",
        "location_name" => "Shuhada Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع الشهداء رجال"
    ],
    [
        "location_id" => "SDF",
        "location_name" => "Shuhada Ladies – Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع الشهداء سيدات"
    ],
    [
        "location_id" => "KRDM",
        "location_name" => "King’s Road Men – Jeddah",
        "gender" => "Male",
        "arabic_name" => "فرع طريق الملك رجال"
    ],
    [
        "location_id" => "KRDF",
        "location_name" => "King’s Road Ladies – Jeddah",
        "gender" => "Female",
        "arabic_name" => "فرع طريق الملك سيدات"
    ],
    [
        "location_id" => "RDM",
        "location_name" => "Rasaifah Men – Makkah",
        "gender" => "Male",
        "arabic_name" => "الرصيفة"
    ],
    [
        "location_id" => "RDF",
        "location_name" => "Rasaifah Ladies – Makkah",
        "gender" => "Female",
        "arabic_name" => "الرصيفة"
    ],
    [
        "location_id" => "KDM",
        "location_name" => "Khaldiyah Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "Khalidya Home Club Offer November-##"
    ],
    [
        "location_id" => "SSDM",
        "location_name" => "Sitiyn Street Men – Makkah",
        "gender" => "Male",
        "arabic_name" => "الستين"
    ],
    [
        "location_id" => "ADM",
        "location_name" => "Andalus Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع الاندلس رجال"
    ],
    [
        "location_id" => "ADF",
        "location_name" => "Andalus Ladies – Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع الاندلس سيدات"
    ],
    [
        "location_id" => "FDM",
        "location_name" => "Faisaliyah Men – Dammam",
        "gender" => "Male",
        "arabic_name" => "As Faisayliah MO New Year Dec 24-#"
    ],
    [
        "location_id" => "FDF",
        "location_name" => "Faisaliyah Ladies – Dammam",
        "gender" => "Female",
        "arabic_name" => "As Faisayliah LO New Year Dec 24-#"
    ],
    [
        "location_id" => "QDM",
        "location_name" => "Qurtubah Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع قرطبة رجال"
    ],
    [
        "location_id" => "QDF",
        "location_name" => "Qurtubah Ladies – Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع قرطبة سيدات"
    ],
    [
        "location_id" => "SDMD",
        "location_name" => "Al Shatea Men – Dammam",
        "gender" => "Male",
        "arabic_name" => "AL Shatea Dammam MO Home Club Nov 24-#"
    ],
    [
        "location_id" => "SDFD",
        "location_name" => "Al Shatea Ladies – Dammam",
        "gender" => "Female",
        "arabic_name" => "Dammam Al Shatea LO New Year Dec 24-#"
    ],
    [
        "location_id" => "NCM",
        "location_name" => "Buraydah Men – Al Qassim",
        "gender" => "Male",
        "arabic_name" => "Buraydah MO Home Club Nov 24-#"
    ],
    [
        "location_id" => "ASM",
        "location_name" => "Al Salam Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع السلام رجال"
    ],
    [
        "location_id" => "MSM",
        "location_name" => "Ash Shifa Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع الشفاء رجال"
    ],
    [
        "location_id" => "MSF",
        "location_name" => "Ash Shifa Ladies – Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع الشفاء سيدات"
    ],
    [
        "location_id" => "AMR",
        "location_name" => "Al Malaz Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع الملز رجال"
    ],
    [
        "location_id" => "AFM",
        "location_name" => "Al Malaz Ladies – Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع الملز سيدات"
    ],
    [
        "location_id" => "SMR",
        "location_name" => "Al Suwaidi Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع السويدي رجال"
    ],
    [
        "location_id" => "SFR",
        "location_name" => "Al Suwaidi Ladies – Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع السويدي سيدات"
    ],
    [
        "location_id" => "OMQ",
        "location_name" => "Onaizah Ladies – Al Qassim",
        "gender" => "Female",
        "arabic_name" => "Al Qassim Onaizah LO New Year Dec 24-#"
    ],
    [
        "location_id" => "OFQ",
        "location_name" => "Onaizah Men – Al Qassim",
        "gender" => "Male",
        "arabic_name" => "Onaizah MO Home Club Nov 24-#"
    ],
    [
        "location_id" => "ASMJ",
        "location_name" => "Al Salama Men – Jeddah",
        "gender" => "Male",
        "arabic_name" => "فرع السلامة رجال"
    ],
    [
        "location_id" => "ASLJ",
        "location_name" => "Al Salama Ladies - Jeddah",
        "gender" => "Female",
        "arabic_name" => "فرع السلامة سيدات"
    ],
    [
        "location_id" => "ASLT",
        "location_name" => "Al Sadad Ladies - Taif",
        "gender" => "Female",
        "arabic_name" => "Taif - Al Sadad Ladies New Year Dec 24"
    ],
    [
        "location_id" => "ASMT",
        "location_name" => "Al Sadad Men - Taif",
        "gender" => "Male",
        "arabic_name" => "Taif Al Sadad MO New Year Dec 24"
    ],
    [
        "location_id" => "SCMR",
        "location_name" => "Sahara Club Men - Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع صحارى مول رجال"
    ],
    [
        "location_id" => "SCLR",
        "location_name" => "Sahara Club Ladies - Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع صحارى مول سيدات"
    ],
    [
        "location_id" => "ARLJ",
        "location_name" => "Al Rawda Ladies – Jeddah",
        "gender" => "Female",
        "arabic_name" => "فرع الروضة سيدات"
    ],
    [
        "location_id" => "ARMJ",
        "location_name" => "Al Rawda Men – Jeddah",
        "gender" => "Male",
        "arabic_name" => "فرع الروضة رجال"
    ],
    [
        "location_id" => "ALK",
        "location_name" => "Aqrabiyah Ladies – Khobar",
        "gender" => "Female",
        "arabic_name" => "Khobar - Al Aqrabiyah LO New Year Dec 24#"
    ],
    [
        "location_id" => "AMK",
        "location_name" => "Aqrabiyah Men – Khobar",
        "gender" => "Male",
        "arabic_name" => "Khobar Aqraibiya MO New Year Dec 24#"
    ],
    [
        "location_id" => "AML",
        "location_name" => "Al Mutamarat Ladies – Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع المؤتمرات للسيدات"
    ],
    [
        "location_id" => "AMM",
        "location_name" => "Al Mutamarat Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع المؤتمرات للرجال"
    ],
    [
        "location_id" => "AYL",
        "location_name" => "Al Yasmeen Ladies – Riyadh",
        "gender" => "Female",
        "arabic_name" => "فرع الياسمين للسيدات"
    ],
    [
        "location_id" => "AYM",
        "location_name" => "Al Yasmeen Men – Riyadh",
        "gender" => "Male",
        "arabic_name" => "فرع الياسمين للرجال"
    ],
    [
        "location_id" => "ASLK",
        "location_name" => "As Sadd Ladies – Khamis Mushait",
        "gender" => "Female",
        "arabic_name" => "As Sadd LO New Year Dec 24#"
    ],
    [
        "location_id" => "ASMK",
        "location_name" => "As Sadd Men – Khamis Mushait",
        "gender" => "Male",
        "arabic_name" => "As Sadd MO New Year Dec 24#"
    ],
    [
        "location_id" => "SSLJ",
        "location_name" => "Al Mohammadiyyah Ladies - Jeddah",
        "gender" => "Female",
        "arabic_name" => "سيدات المحمدية"
    ],
    [
        "location_id" => "SSMJ",
        "location_name" => "Al Mohammadiyyah Men - Jeddah",
        "gender" => "Male",
        "arabic_name" => "نادي الرجال المحمدية"
    ],
    [
        "location_id" => "AKLM",
        "location_name" => "Al Khalidiyyah Ladies - Madinah",
        "gender" => "Female",
        "arabic_name" => "Al Khailidiyyah Madina LO Pre-sales-#"
    ],
    [
        "location_id" => "AKMM",
        "location_name" => "Al Khalidiyyah Men - Madinah",
        "gender" => "Male",
        "arabic_name" => "Al Khailidiyyah Madina MO Pre-sales-#"
    ],
];

?>